<button *ngIf="currentUser.user.type=='employee' " type="button" class="btn btn-primary" data-toggle="modal" data-target="#employeeRequest">
    Add Request
  </button>

<div class="table-responsive-sm">
  <table class="table">
    <thead>
      <tr>
        <th scope="col">Employee Report</th>
        <th scope="col">Doctor Report</th>
        <th scope="col">Date</th>
        <th scope="col">Status</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let request of requestData">
        <td>{{request.report}}</td>
        <td *ngIf="request.reportOfDoctor ">{{request.reportOfDoctor}} </td>
        <td *ngIf="!request.reportOfDoctor ">... </td>


        <td>{{ request.dateRequest | date : 'mediumDate' }}</td>
        <td><button *ngIf="currentUser.user.type=='employee' " type="button"
            [disabled]="currentUser.user.type=='employee' " 
            [ngClass]="{'btn btn-danger':request.isAccepted == 'no',
          'btn btn-light':request.isAccepted == 'pending',
          'btn btn-danger ':request.isAccepted == 'yes',
          'btn btn-success':request.isAccepted == 'done'}" class=".btn-sm">{{request.isAccepted}}</button>

          <button *ngIf="currentUser.user.type=='manager' " type="button"
            [disabled]="request.isAccepted=='no' || request.isAccepted=='done' || request.isAccepted=='yes'" [ngClass]="{'btn btn-danger':request.isAccepted == 'no',
          'btn btn-secondary':request.isAccepted == 'pending',
          'btn btn-warning ':request.isAccepted == 'yes',
          'btn btn-success':request.isAccepted == 'done'

            }" class=".btn-sm" (click)="acceptRequest(request._id,'yes')">{{request.isAccepted}}</button>

          <button *ngIf="currentUser.user.type=='manager' && request.isAccepted == 'pending'" type="button"
            class="btn btn-danger .btn-sm" (click)="ignoreRequest(request._id,'no')">ignore</button>

          <button *ngIf="currentUser.user.type=='doctor' " type="button" [disabled]="request.isAccepted=='done'"
            data-target="#myModal" [ngClass]="{'btn btn-danger':request.isAccepted == 'no',
          'btn btn-light':request.isAccepted == 'pending',
          'btn btn-danger ':request.isAccepted == 'yes',
          'btn btn-success':request.isAccepted == 'done'
        }" data-toggle="modal" data-target="#exampleModalLong" class=".btn-sm">{{request.isAccepted}}</button>


          <!-- Modal -->
          <div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog"
            aria-labelledby="exampleModalLongTitle" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLongTitle">Send Report</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <form #doctorReportForm="ngForm" (ngSubmit)="onClickSubmit(doctorReportForm)" novalidate>
                    <div class="form-group">
                      <label for="exampleFormControlTextarea1">Doctor Report</label>
                      <textarea class="form-control" name="report" id="exampleFormControlTextarea1" rows="3" ngModel
                        required #report="ngModel"></textarea>
                    </div>
                    <div class="form-group">
                      <input class="form-control" type="hidden" name="requestId" [ngModel]="request._id" ngModel
                        required #requestId="ngModel">
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save changes</button>
                    </div>
                  </form>
                </div>

              </div>
            </div>
          </div>

        </td>

      </tr>


    </tbody>
  </table>

</div>

<!-- Modal -->
<div class="modal fade" id="employeeRequest" tabindex="-1" role="dialog"
aria-labelledby="employeeRequestTitle" aria-hidden="true">
<div class="modal-dialog" role="document">
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title" id="employeeRequestTitle">Send Request</h5>
      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form #employeeReportForm="ngForm" (ngSubmit)="onClickEmployeeSubmit(employeeReportForm)" novalidate>
        <div class="form-group">
          <label for="exampleFormControlTextarea1">Employee Report</label>
          <textarea class="form-control" name="report" id="exampleFormControlTextarea1" rows="3" ngModel
            required #report="ngModel"></textarea>
        </div>
        <div class="form-group">
            <label for="exampleFormControlTextarea1">Date</label>
            <input type="date" class="form-control" name="date" ngModel
            required #date="ngModel">
  
          </div>

      

        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
      </form>
    </div>

  </div>
</div>
</div>







